.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin: 1rem 0;
}

.example-card {
  max-width: 200px;
  text-align: center;
  margin: 1rem 0;
}

.example-header-image {
  background-image: url("https://material.angular.io/assets/img/examples/shiba1.jpg");
  background-size: cover;
}

.section-title {
  text-align: center;
  font-size: clamp(2.5rem, calc(5vw + 1rem), 4rem);
  font-weight: bold;
  line-height: 1;
  color: #17353d;
  margin-top: 4rem;
}

.mat-card-title {
  font-size: 15px;
  font-weight: bold;
}

@media (min-width: 426px) {
  .container {
    margin: 2rem 0;
  }

  .grid {
    display: grid;
    gap: 30px 30px;
    grid-template-columns: 1fr 1fr;
    align-items: start;
    justify-content: center;
  }

  mat-card-title {
    font-size: 60px;
  }

  mat-card-subtitle {
    font-size: 15px;
  }

  mat-card-content p {
    font-size: 15px;
  }
}

@media (min-width: 1024px) {
  .container {
    margin: 3rem 0;
  }

  .grid {
    display: grid;
    gap: 50px 50px;
    grid-template-columns: 1fr 1fr 1fr;
    align-items: start;
    justify-content: center;
  }

  .product-name {
    font-size: 18px;
  }

  .product-subtitle {
    font-size: 16px !important;
    margin-top: 20px !important;
  }
}

@media (min-width: 2000px) {
  .container {
    margin: 4rem 0;
  }

  .grid {
    display: grid;
    gap: 50px 50px;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    align-items: start;
    justify-content: center;
  }

  .product-name {
    font-size: 25px;
  }

  .product-subtitle {
    font-size: 20px !important;
    margin-top: 20px !important;
  }

  mat-card-content p {
    font-size: 20px;
  }

  .example-card {
    max-width: 500px;
    text-align: center;
    margin: 1rem 0;
  }
}
